# NAME

Trf_XorBuffer - XOR the bytes in a buffer with a mask.

# SYNOPSIS

    #include <transform.h>

    void Trf_XorBuffer
    (
    	void *buffer,
    	void *mask,
    	int length
    );

# PARAMETERS

void *buffer
  Buffer to xor the mask with.
void *mask
  Mask bytes xor'ed into the buffer.
int length
  Length of mask and buffer (in byte).

# DESCRIPTION

Internally used by the implementation of the various stream modes available to blockciphers.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs